Name: labe
Version: 3.2
Release: alt4

Summary: Manage a LDAP server as an address on the web 
License: GPL
Group: Networking/WWW

URL: http://www.savoirfairelinux.com/labe/
Source: http://www.savoirfairelinux.com/labe/labe-3.2-4.tgz
Patch0: labe-Makefile.patch.bz2
Patch1: labe-translation-ru.patch.bz2
Patch2: labe-translation-ru.patch1.bz2
Patch3: labe-translation-ru.patch2.bz2
Patch4: labe-code-cfgparse-hack.patch.bz2
Patch5: labe-code-charset-cfgparse-fix.patch.bz2
Patch6: labe-code-ldap-fix.patch.bz2
Patch7: labe-doc-russian.patch.bz2
Patch8: labe-code-filter-lang-fix.patch.bz2


Requires: openldap >= 2.0
Requires: openldap-servers > 2.0
Requires: webserver
Requires: php >= 4.0
Requires: php-ldap >= 4.0

BuildArch: noarch

%description
A program enabling sysadmins and users to use a central LDAP server
as an address book, manage the contact list and use it in MS Outlook,
Mozilla Mail and Evolution.

Install labe if you'd like to enable your company or your
network to easily use a centralized address book.

%description -l ru_RU.CP1251
,     
 LDAP-   ,    
   MS Outlook, Mozilla Mail  Evolution.

%description -l ru_RU.KOI8-R
,     
 LDAP-   ,    
   MS Outlook, Mozilla Mail  Evolution.

%prep


%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%install
%__mkdir_p %buildroot%_sysconfdir/
%__mkdir_p %buildroot%_sysconfdir/openldap
%__mkdir_p %buildroot%_sysconfdir/openldap/schema

%make NAME=%name VERSION=%version ROOT=%buildroot install

%post
echo "************ WARNING *************"
echo "Read README.RUS and BUGS.RUS!"
echo ""



%files
%attr(-,root,webmaster) /var/www/html/labe/*
%attr(750,root,webmaster) %dir %_sysconfdir/labe
%attr(640,root,webmaster) %config(noreplace) %_sysconfdir/labe/connect.conf
%config(noreplace) %_sysconfdir/openldap/schema/extension.schema
%attr(775,root,webmaster) %doc /var/www/html/labe/templates_c/
%attr(755,root,root) %doc /usr/share/doc/%name-%version/md5_passwd.php
%attr(755,root,root) %doc /usr/share/doc/%name-%version/setup.sh
%attr(755,root,root) %doc /usr/share/doc/%name-%version/uninstall.sh
%doc /usr/share/doc/%name-%version/*


%changelog
* Wed Aug 04 2004 Andrew Kornilov <hiddenman@altlinux.ru> 3.2-alt4
- Spec cleanups 

* Wed Jan 28 2004 Andrew Kornilov <andy@eva.dp.ua> 3.2-alt3
- Added missing filter patch ;-)
- Some spec cleanups for ALT (thanks to mike@altlinux.ru ;)

* Tue Jan 27 2004 Andrew Kornilov <andy@eva.dp.ua> 3.2-alt2
- Added and reworked a lot of patches which provides:
	README.RUS, BUGS,RUS, md5_passwd.php, core.schema.patch and
	cosine.schema.patch examples, connect.conf.example.
	Russian translation and russian language by default.
	Fixed some bugs and added some features.
	Please, read README.RUS and BUGS.RUS

* Mon Jan 05 2004 Andrew Kornilov <andy@eva.dp.ua> 3.2-alt1
- Spec cleanups (remove garbage)
- Added Makefile patch
- Added russian translation file
* Mon Jan 13 2003 Mathieu Leduc-Hamel <mathieu.leduc@savoirfairelinux.com>
- Many bugs were corrested.
- A new configuration file system.
- Integrating of many correction from Christophe Condomines.
- A new system of translation is integrated and:
  - Including the translation in german made by Jan Oberlnder.
  - Including the some correction to the english translation,
    made by Jan Oberlnder.
  - Including the translation in spanish made by Miguel Angel Hermosilla.
  - Including the translation in catalan made by Miguel Angel Hermosilla
* Mon Nov 18 2002 Mathieu Leduc-Hamel <mathieu.leduc@savoirfairelinux.com>
- Correcting many things in the interface.
- Implement the importation.
- Correcting the security bug in the configuration file.
- Correcting the ISO-8859-2 encoding issue.
* Tue Oct 22 2002 Mathieu Leduc-Hamel <mathieu.leduc@savoirfairelinux.com>
- Correcting the band binding in labe_main.clas.php
- minor change in the interface, particulary in the list
* Tue Aug 27 2002 Mathieu Leduc-Hamel <mathieu.leduc@savoirfairelinux.com>
- Correcting bug with some international character.
- Implement sort methode.
* Thu Aug  8 2002 Mathieu Leduc-Hamel <mathieu.leduc@savoirfairelinux.com>
- Correcting the upload bug (incompatibity with php 4.0). 
- Improving the general stability.
- Improve the graphic interface.
* Tue Aug  6 2002 Mathieu Leduc-Hamel <mathieu.leduc@savoirfairelinux.com>
- Changing the spec file and create to bash file to install and uninstall labe.
- Correcting the upload bug.
* Mon Jul 29 2002 Mathieu Leduc-Hamel <mathieu.leduc@savoirfairelinux.com>
- Writting all the spec file and the makefile.
- Producing the rpm.
- Correcting the program documention.
* Tue Jul 23 2002 Mathieu Leduc-Hamel <mathieu.leduc@savoirfairelinux.com>
- Rewrited all the program, in oop.
- Now fully compatible with openldap-2.x.
- Some minor and major bug fixe.
